---
title: "Présentation du module Projets"
date: 2016-05-18
---

# Objectifs du module 

- exercice de développement à peu près réaliste
- travail sur un thème/sujet donné (demande client)
- travail en équipe
- travail en mode projet (méthode, outils)

# Organisation

- du 8 au 24 juin 2016 à temps plein
- présence **OBLIGATOIRE** : 9h-12h + 13h-16h
- travail en autonomie (developpement, conduite de projet) + aide régulière des encadrants + CM
- à rendre : cahier des charges, livrables, rapport, soutenance
- informations : [https://www-lisic.univ-littoral.fr/~dehos](https://www-lisic.univ-littoral.fr/~dehos)

# Travail à faire avant le début des projets

- essayer de faire des groupes (3 ou 4 étudiants)
- classer les thèmes de projet par ordre de préférence du groupe

# Thème 1 (Éric Ramat)

- développement d’une collection de jeux abstraits sur le Web (openxum.org)
- points importants :
    - architecture d’une application Web entièrement basée sur Javascript (client ET serveur)
    - intégration dans un projet existant (https ://github.com/openxum-team/openxum-nodejs)
    - multiples types d’actions :
        - recherche de bugs et correction de bugs
        - traduction anglais → français
        - développement d’Intelligence Articifielle
        - développement de nouvelles fonctionnalités et de nouveaux jeux
        - rédaction de documentations en anglais
- technologies :
    - langages : HTML5 / CSS3 / Javascript
    - technologies : canvas, websockets, REST et mongodb (base de données)
    - frameworks et bibliothèques : nodejs, jade, bootstrap
    - environnement de développement : webstorm

# Thème 2 (Julien Dehos)

- développement d’un jeu en réseau (morpion, puissance 4, pong...)
- points importants :
    - architecture réseau (client-serveur ou peer-to-peer)
    - interface graphique
- technologies :
    - C++
    - SFML


# Dates importantes

date | objet | 
--- | --- | 
lundi 23 mai 2016 | réunion de présentation  (13h-13h15, salle 1) |
lundi 6 juin 2016 | début des projets (salles 111 et 113) |
lundi 6 juin 2016 | CM1 (9h-10h, amphi B) |
mercredi 8 juin 2016  | CM2 (9h-10h, amphi B) |
vendredi 10 juin 2016 | rendre le cahier des charges |
vendredi 17 juin 2016 | livrer un prototype |
mardi 21 juin 2016  | CM3 (9h-10h, amphi B) |
mercredi 22 juin 2016 | livrer le projet et rendre le rapport |
vendredi 24 juin 2016 | soutenances et fin des projets |

# Planning des soutenances

salle C101, planning à venir

